<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/SecondStage/SecondStage.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_29c207c1a10848cd925bbfd8d0c3e900.html">SecondStage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SecondStage.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d10/_second_stage_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;%%%------------------------------------------------------------------------</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;%<a class="code" href="../../d1/d10/_second_stage_8m.html#ad9db3ec9969ad1cc80d0dee59810f184">SecondStage</a>(infiles,outFile,SSoptions_SSoptionsimisation,[],SSoptionssecondStage);</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">function</span> [Result]= <a class="code" href="../../d1/d10/_second_stage_8m.html#ad9db3ec9969ad1cc80d0dee59810f184">SecondStage</a>(inpFiles,outFile,SSoptions,varargin)</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;addpath(genpath([<span class="charliteral">&#39;.&#39;</span>,filesep,<span class="stringliteral">&#39;Auxiliary&#39;</span>]));</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;addpath(genpath([<span class="charliteral">&#39;.&#39;</span>,filesep,<span class="stringliteral">&#39;SecondStage_objs&#39;</span>]));</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;filename=outFile;       % File name to save results</div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="../../d1/d10/_second_stage_8m.html#ad9db3ec9969ad1cc80d0dee59810f184">   10</a></span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;%% Take results from multiple files and estimates together <span class="keywordflow">if</span> needed</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;% input: SSoptions, inpfiles,</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;% output: singlecell_estimates, singlecell_estimates</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;[covariate_flags, singlecell_estimates]=<a class="code" href="../../d7/dc5/get_f_sestimates_8m.html#a87ab857f9ec91580e07934f950f00e82">getFSestimates</a>(SSoptions,inpFiles);</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;SSoptions.objOpts.covariate_flags=covariate_flags; % to <span class="keywordflow">do</span>: make <span class="keyword">this</span> user specific</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;%% Find which cells may have issues with inversion:</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;% input: singlecell_estimates</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;% output: invCi, Ci, cholekyinv_flags</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;[Ci,invCi,choleskyinv_flags]=<a class="code" href="../../dc/da6/get_f_suncertainities_8m.html#aef4a374a117da787e2209c569adda49b">getFSuncertainities</a>(singlecell_estimates);</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;%% Initialize the second stage optimization</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;cell_IDs=cat(1,singlecell_estimates.cell_ID);</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keywordflow">if</span> isfield(singlecell_estimates,<span class="stringliteral">&#39;Post_Mean&#39;</span>)</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    params=cat(1,singlecell_estimates.Post_Mean);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;else</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    params=cat(1,singlecell_estimates.params);</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;end</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;nparams=size(params,2);</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;ncells=size(params,1);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;%% Initialise the mean and covariance estimates based on the type of the optimization</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;% that is done.</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;% input: SSoptions, params</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;% out: b0, D_gls,  parameters0</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;[ b0, D0,  parameters0]=<a class="code" href="../../d1/dbd/initialize_pop_params_8m.html#ab10ea8860d9c38fbaf84e63dd8eb0bb8">initializePopParams</a>(SSoptions,params);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;%% Make the matrix Ai, that encodes mapping from the vector of mean parameters</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;% and the cells</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;Ai=zeros(nparams,...</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    length(b0),...</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    ncells);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;for i=1:ncells</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    Ai(:,:,i)=SSoptions.CovariateFn(length(b0),covariate_flags(i));</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;end</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;%% Carry out EM</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;if strcmp(SSoptions.Optimization,&#39;<a class="code" href="../../d3/d6d/_l_g_t_s___e_m_8m.html#a6d06c2e8938b1175de2a7aa2d5952924">LGTS_EM</a>&#39;)</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    % Turn off the option for logVar</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    SSoptions.tologVar=0;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    % convergence criteria for EM based</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    conv=struct;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    conv.maxiter=SSoptions.EM.conv_maxiter;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    conv.tol=SSoptions.EM.conv_tol;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    ll_gts=@(p) <a class="code" href="../../d3/d6d/_l_g_t_s___e_m_8m.html#a6d06c2e8938b1175de2a7aa2d5952924">LGTS_EM</a>(b0,D0,params,invCi,Ci,conv,SSoptions.DiagD,...</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        Ai);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    Result=ll_gts();</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    %</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    %     % Result</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    betahat=Result.PopMean;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    Dhat=Result.PopCovar;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    betahati=Result.eBayesEsts;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    Result.covariate_flag=covariate_flags;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    fval=[];</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    exflg=[];</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    pop_param=<a class="code" href="../../d0/deb/get_parameter_vector_8m.html#ab7a7536d02ddb5001ced6a4e34159fb8">getParameterVector</a>(betahat,Dhat);</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;elseif strcmp(SSoptions.Optimization,&#39;Optimizer&#39;)</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    % Check for optimization file  in the folder if not, use the generic</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    % function</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    if isempty(SSoptions.optim.fnHandle)</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        disp(&#39;Using the generic optimization function for the second stage&#39;)</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        ll_gts=@(p) <a class="code" href="../../d8/d1b/_s_s_objective_fn__default_8m.html#a9e04464f7958c129051203911d37f9e1">SSObjectiveFn_default</a>(p,invCi,Ci,Ai,params,SSoptions.objOpts);</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    else</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        ll_gts=@(p) SSoptions.optim.fnHandle(p,invCi,Ci,Ai,params,SSoptions.objOpts);</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    end</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    optim=SSoptions.optim;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    optim.min_objective = ll_gts;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    if isempty(optim.lower_bounds)</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        optim=rmfield(optim,{<span class="stringliteral">&#39;lower_bounds&#39;</span>,<span class="stringliteral">&#39;upper_bounds&#39;</span>});</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    end</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160; </div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    [pop_param,fval,exflg] = nlopt_optimize(optim, parameters0);</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    % Result</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordflow">if</span> isempty(SSoptions.optim.fnHandle)</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        [betahat, Dhat]=<a class="code" href="../../d1/d7f/get_parameter_mat_fn__default_8m.html#a85ad14c5fadcd2072999430805a225d2">getParameterMatFn_default</a>(pop_param,length(b0),SSoptions.objOpts.tologVar);</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <span class="keywordflow">if</span> isempty(SSoptions.optim.fnParamMapper)</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        error(&#39;Specify the fn handle: SSoptions.optim.fnParamMapper&#39;)</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        else</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        [betahat, Dhat]=SSoptions.optim.fnParamMapper(pop_param,varargin);</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        end</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    end</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160; </div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;end</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;%% Calculate the EBEs.</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;% input: betahat, Dhat, params, covariate_flags</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;% betahati</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;betahati=<a class="code" href="../../dd/d16/get_ebayes_ests_8m.html#a4a0f751eaf4d294fc20368378932c8e8">getEbayesEsts</a>(betahat, Dhat, params,Ai, invCi,covariate_flags);</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;Result.PopMean=betahat;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;Result.PopCovar=Dhat;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;Result.eBayesEsts=betahati;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;Result.covariate_flag=covariate_flags;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;Result.cell_IDs=cell_IDs;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;Result.inv_Ci=invCi;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;Result.Ci=Ci;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;Result.Ai=Ai;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;Result.FSestimates=params;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160; </div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;%% Get the asymptotic covariance matrix using sampling</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;if SSoptions.evalUncertainty==true</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    disp(&#39;Uncertainity evaluation called for&#39;); </div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    nsamp=1e3;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    if any(strcmp(SSoptions.Optimization,{<span class="stringliteral">&#39;Optimizer&#39;</span>,<span class="stringliteral">&#39;LGTS_EM&#39;</span>}))</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    [parametersamples]=sampleGTSPosterior(pop_param,nsamp,SSoptions,Result);</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;   </div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keywordflow">else</span> </div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        disp(<span class="stringliteral">&#39;Uncertainity evaluation not not done, option not valid&#39;</span>); </div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        parametersamples=[];</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    end</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160; <span class="keywordflow">else</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;   disp(<span class="stringliteral">&#39;Uncertainity evaluation not called for&#39;</span>); </div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;   parametersamples=[];</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160; end</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160; </div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160; </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160; </div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160; </div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;%% Save the Result</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;save(sprintf(<span class="stringliteral">&#39;%s-%s-%s.mat&#39;</span>,filename,SSoptions.Optimization,SSoptions.DiagD),...</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        <span class="stringliteral">&#39;Result&#39;</span>,<span class="stringliteral">&#39;choleskyinv_flags&#39;</span>,<span class="stringliteral">&#39;b0&#39;</span>,<span class="stringliteral">&#39;D0&#39;</span>,<span class="stringliteral">&#39;betahat&#39;</span>,<span class="stringliteral">&#39;Dhat&#39;</span>,<span class="stringliteral">&#39;betahati&#39;</span>,<span class="stringliteral">&#39;params&#39;</span>,<span class="stringliteral">&#39;SSoptions&#39;</span>,<span class="stringliteral">&#39;exflg&#39;</span>,<span class="stringliteral">&#39;fval&#39;</span>,<span class="stringliteral">&#39;parametersamples&#39;</span>)</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160; </div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;disp(&#39;Result saved&#39;)</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160; </div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_s_s_objective_fn__default_8m_html_a9e04464f7958c129051203911d37f9e1"><div class="ttname"><a href="../../d8/d1b/_s_s_objective_fn__default_8m.html#a9e04464f7958c129051203911d37f9e1">SSObjectiveFn_default</a></div><div class="ttdeci">function SSObjectiveFn_default(in parameters, in invCi, in Ci, in Ai, in singlecell_estimates, in varargin)</div><div class="ttdoc">SSObjectiveFn_default is the default objective function which is used in the second stage during opti...</div></div>
<div class="ttc" id="aget_ebayes_ests_8m_html_a4a0f751eaf4d294fc20368378932c8e8"><div class="ttname"><a href="../../dd/d16/get_ebayes_ests_8m.html#a4a0f751eaf4d294fc20368378932c8e8">getEbayesEsts</a></div><div class="ttdeci">function getEbayesEsts(in betahat, in Dhat, in params, in Ai, in invCi, in covariate_flags)</div><div class="ttdoc">getEbayesEsts gets the EBEs after the second stage estimation</div></div>
<div class="ttc" id="a_l_g_t_s___e_m_8m_html_a6d06c2e8938b1175de2a7aa2d5952924"><div class="ttname"><a href="../../d3/d6d/_l_g_t_s___e_m_8m.html#a6d06c2e8938b1175de2a7aa2d5952924">LGTS_EM</a></div><div class="ttdeci">function LGTS_EM(in betahat0, in Dhat0, in beta_ihat, in invCi, in C_i, in conv, in DiagD, in Ai, in varargin)</div><div class="ttdoc">Second Stage EM algotithm based on 5.12, 5.13 and 5.14 in Davidians book, Chapter 5.</div></div>
<div class="ttc" id="aget_parameter_vector_8m_html_ab7a7536d02ddb5001ced6a4e34159fb8"><div class="ttname"><a href="../../d0/deb/get_parameter_vector_8m.html#ab7a7536d02ddb5001ced6a4e34159fb8">getParameterVector</a></div><div class="ttdeci">function getParameterVector(in betahat, in Dhat)</div></div>
<div class="ttc" id="a_second_stage_8m_html_ad9db3ec9969ad1cc80d0dee59810f184"><div class="ttname"><a href="../../d1/d10/_second_stage_8m.html#ad9db3ec9969ad1cc80d0dee59810f184">SecondStage</a></div><div class="ttdeci">function SecondStage(in inpFiles, in outFile, in SSoptions, in varargin)</div><div class="ttdoc">SecondStage does the second stage estimation of the GTS.</div></div>
<div class="ttc" id="aget_f_sestimates_8m_html_a87ab857f9ec91580e07934f950f00e82"><div class="ttname"><a href="../../d7/dc5/get_f_sestimates_8m.html#a87ab857f9ec91580e07934f950f00e82">getFSestimates</a></div><div class="ttdeci">function getFSestimates(in SSoptions, in inpFiles)</div><div class="ttdoc">getFSestimates obtains the results of the single cell estimates from all experiments</div></div>
<div class="ttc" id="aget_parameter_mat_fn__default_8m_html_a85ad14c5fadcd2072999430805a225d2"><div class="ttname"><a href="../../d1/d7f/get_parameter_mat_fn__default_8m.html#a85ad14c5fadcd2072999430805a225d2">getParameterMatFn_default</a></div><div class="ttdeci">function getParameterMatFn_default(in parameters, in nbeta, in varargin)</div><div class="ttdoc">A default function that takes in a vector of parameters and converts it to the mean and covariance ma...</div></div>
<div class="ttc" id="ainitialize_pop_params_8m_html_ab10ea8860d9c38fbaf84e63dd8eb0bb8"><div class="ttname"><a href="../../d1/dbd/initialize_pop_params_8m.html#ab10ea8860d9c38fbaf84e63dd8eb0bb8">initializePopParams</a></div><div class="ttdeci">function initializePopParams(in SSoptions, in singlecell_estimates)</div><div class="ttdoc">Initialises the mean and covariance parameters of the second stage optimization, either for EM or opt...</div></div>
<div class="ttc" id="aget_f_suncertainities_8m_html_aef4a374a117da787e2209c569adda49b"><div class="ttname"><a href="../../dc/da6/get_f_suncertainities_8m.html#aef4a374a117da787e2209c569adda49b">getFSuncertainities</a></div><div class="ttdeci">function getFSuncertainities(in singlecell_estimates)</div><div class="ttdoc">Function etFSuncertainities takes in the result of the first stage procedure and gets the uncertainty...</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
